Get Payee Detail
curl --request GET \
--url https://api.provider.fiskil.com/v1/banking/customer/{customerId}/payees/{payeeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.provider.fiskil.com/v1/banking/customer/{customerId}/payees/{payeeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.provider.fiskil.com/v1/banking/customer/{customerId}/payees/{payeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payeeId": "c9467d0d-4263-428d-9679-8424a48c47b0",
"nickname": "P Sherman",
"description": "My favourite dentist",
"type": "DOMESTIC",
"creationDate": "2025-01-20T00:00:00.000Z",
"payeeUType": "domestic",
"domestic": {
"payeeAccountUType": "account",
"account": {
"accountName": "Peter Sherman",
"bsb": 111222,
"accountNumber": 12345678
}
}
}
}{
"errors": [
{
"code": "urn:au-cds:error:cds-all:Resource/Invalid",
"title": "Invalid payee ID",
"detail": "A payee with the given ID does not exist"
}
]
}Banking
Get Payee Detail
Obtain detailed information on a single payee.
Note that the payee sub-structure should be selected to represent the payment destination only rather than any known characteristics of the payment recipient.
GET
/
v1
/
banking
/
customer
/
{customerId}
/
payees
/
{payeeId}
Get Payee Detail
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
The ID used to locate the details of a particular payee
Response
Details of the requested payee
Show child attributes
Show child attributes
Was this page helpful?